Index: src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_atomcount.hpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_atomcount.hpp	(revision b9680b48b3c408eb08fa28771d7f329859cf047b)
+++ src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_atomcount.hpp	(revision cc297688a2f09a635ccb45323617573684f51f9d)
@@ -34,6 +34,7 @@
   QtMoleculeItem_atomcount(
       const moleculeId_t _molid,
-      emitDirtyState_t _emitDirtyState) :
-        QtMoleculeItem(_molid, channellist_atomcount, QtMoleculeItem::NeedsMove, _emitDirtyState),
+      const emitDirtyState_t &_emitDirtyState,
+      const emitSubjectKilledState_t &_emitSubjectKilledState) :
+        QtMoleculeItem(_molid, channellist_atomcount, QtMoleculeItem::NeedsMove, _emitDirtyState, _emitSubjectKilledState),
         molref(getMolecule()),
         atomcount(
Index: src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_formula.hpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_formula.hpp	(revision b9680b48b3c408eb08fa28771d7f329859cf047b)
+++ src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_formula.hpp	(revision cc297688a2f09a635ccb45323617573684f51f9d)
@@ -37,6 +37,7 @@
   QtMoleculeItem_formula(
       const moleculeId_t _molid,
-      emitDirtyState_t _emitDirtyState) :
-        QtMoleculeItem(_molid, channellist_formula, QtMoleculeItem::NeedsMove, _emitDirtyState),
+      const emitDirtyState_t &_emitDirtyState,
+      const emitSubjectKilledState_t &_emitSubjectKilledState) :
+        QtMoleculeItem(_molid, channellist_formula, QtMoleculeItem::NeedsMove, _emitDirtyState, _emitSubjectKilledState),
         molref(getMolecule()),
         formula(
Index: src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_name.hpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_name.hpp	(revision b9680b48b3c408eb08fa28771d7f329859cf047b)
+++ src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_name.hpp	(revision cc297688a2f09a635ccb45323617573684f51f9d)
@@ -34,6 +34,7 @@
   QtMoleculeItem_name(
       const moleculeId_t _molid,
-      emitDirtyState_t _emitDirtyState) :
-        QtMoleculeItem(_molid, channellist_name, QtMoleculeItem::DoesNotMove, _emitDirtyState),
+      const emitDirtyState_t &_emitDirtyState,
+      const emitSubjectKilledState_t &_emitSubjectKilledState) :
+        QtMoleculeItem(_molid, channellist_name, QtMoleculeItem::DoesNotMove, _emitDirtyState, _emitSubjectKilledState),
         molref(getMolecule()),
         name(
Index: src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_occurrence.hpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_occurrence.hpp	(revision b9680b48b3c408eb08fa28771d7f329859cf047b)
+++ src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_occurrence.hpp	(revision cc297688a2f09a635ccb45323617573684f51f9d)
@@ -28,6 +28,7 @@
   QtMoleculeItem_occurrence(
       const moleculeId_t _molid,
-      emitDirtyState_t _emitDirtyState) :
-        QtMoleculeItem(_molid, channellist_occurrence, QtMoleculeItem::DoesNotMove, _emitDirtyState)
+      const emitDirtyState_t &_emitDirtyState,
+      const emitSubjectKilledState_t &_emitSubjectKilledState) :
+        QtMoleculeItem(_molid, channellist_occurrence, QtMoleculeItem::DoesNotMove, _emitDirtyState, _emitSubjectKilledState)
   {
     signOnToMolecule();
Index: src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_visibility.hpp
===================================================================
--- src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_visibility.hpp	(revision b9680b48b3c408eb08fa28771d7f329859cf047b)
+++ src/UIElements/Views/Qt4/MoleculeList/SpecificItems/QtMoleculeItem_visibility.hpp	(revision cc297688a2f09a635ccb45323617573684f51f9d)
@@ -28,6 +28,7 @@
   QtMoleculeItem_visibility(
       const moleculeId_t _molid,
-      emitDirtyState_t _emitDirtyState) :
-        QtMoleculeItem(_molid, channellist_visibility, QtMoleculeItem::DoesNotMove, _emitDirtyState)
+      const emitDirtyState_t &_emitDirtyState,
+      const emitSubjectKilledState_t &_emitSubjectKilledState) :
+        QtMoleculeItem(_molid, channellist_visibility, QtMoleculeItem::DoesNotMove, _emitDirtyState, _emitSubjectKilledState)
   {
     signOnToMolecule();
